<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package iowa-civil
 */
$site_name = get_bloginfo('name');
$footer_back_image	= get_field('footer_background_image', 'option');
$footer_site_logo	= get_field('footer_site_logo', 'option');
?>
<footer id="colophon" class="site-footer">
	<div class="top-footer">
		<div class="footer-bg-right back-img" <?php echo (!empty($footer_back_image)) ? 'style="background-image: url(' . $footer_back_image . ')"' : ''; ?>></div>
		<div class="container">
			<div class="row">
				<div class="col-lg-6 order-lg-1 order-2">
					<div class="footer-content">
						<?php
						if (!empty($footer_site_logo)) { ?>
							<div class="footer-logo for-des">
								<a href="<?php echo home_url(); ?>" title="<?php echo $site_name; ?>" class="custom-logo-link"><img width="290" height="126" src="<?php echo esc_url($footer_site_logo); ?>" alt="<?php echo $site_name; ?>"></a>
							</div>
						<?php } ?>
						<div class="row">
							<?php
							$mail_address			= get_field('mailing_address', 'option');
							$mail_address_text		= get_field('mail_address_text', 'option');
							$shipping_address_link	= get_field('shipping_address_link', 'option');
							$shipping_address_text	= get_field('shipping_address_text', 'option');
							$maintenance_shop		= get_field('maintenance_shop', 'option');
							$maintenance_shop_text	= get_field('maintenance_shop_text', 'option');
							?>
							<div class="col-lg-6">
								<div class="contact-address">
									<ul>
										<?php
										if (!empty($mail_address) || !empty($mail_address_text)) { ?>
											<li>
												<span class="icon"><i class="fas fa-map-marker-alt"></i></span>
												<div class="main-text">
													<?php
													if (!empty($mail_address_text)) { ?>
														<span class="text-top"><?php echo $mail_address_text; ?></span>
													<?php } ?>
													<a target="_blank" class="bottom-text" href="<?php echo $mail_address['url']; ?>" title="<?php echo $mail_address['title']; ?>">
														<?php echo $mail_address['title']; ?>
													</a>
												</div>
											</li>
										<?php
										}
										if (!empty($shipping_address_link) || !empty($shipping_address_text)) { ?>
											<li>
												<span class="icon"><i class="fas fa-map-marker-alt"></i></span>
												<div class="main-text">
													<span class="text-top">
														<?php
														if (!empty($shipping_address_text)) { ?>
															<span><?php echo $shipping_address_text; ?></span>
														<?php } ?>
													</span>
													<a target="_blank" class="bottom-text" href="<?php echo $shipping_address_link['url']; ?>" title="<?php echo $shipping_address_link['title']; ?>">
														<?php echo $shipping_address_link['title']; ?>
													</a>
												</div>
											</li>
										<?php
										}
										if (!empty($maintenance_shop) || !empty($maintenance_shop_text)) { ?>
											<li>
												<span class="icon"><i class="fas fa-map-marker-alt"></i></span>
												<div class="main-text">
													<span class="text-top">
														<?php
														if (!empty($maintenance_shop_text)) { ?>
															<span><?php echo $maintenance_shop_text; ?></span>
														<?php } ?>
													</span>
													<a target="_blank" class="bottom-text" href="<?php echo $maintenance_shop['url']; ?>" title="<?php echo $maintenance_shop['title']; ?>">
														<?php echo $maintenance_shop['title']; ?>
													</a>
												</div>
											</li>
										<?php } ?>
									</ul>
								</div>
								<?php
								$phone_number	=  get_field('phone_number', 'option');
								$email			=  get_field('email', 'option');
								$facebook_link	=  get_field('facebook_link', 'option'); ?>
								<div class="contact-info">
									<ul>
										<?php
										if (!empty($email)) { ?>
											<li>
												<span class="icon"><i class="fas fa-envelope" aria-hidden="true"></i></span>
												<a href="mailto:<?php echo $email; ?>" title="<?php echo $email; ?>" class="text"><?php echo $email; ?></a>
											</li>
										<?php
										}
										if (!empty($phone_number)) { ?>
											<li>
												<span class="icon"><i class="fas fa-phone-alt" aria-hidden="true"></i></span>
												<a href="<?php echo $phone_number['url']; ?>" title="<?php echo $phone_number['title']; ?>" class="text"><span class="call-us"><?php echo $phone_number['title']; ?></span></a>
											</li>
										<?php } ?>
									</ul>
								</div>
								<div class="social-icon">
									<ul>
										<?php
										if (!empty($facebook_link)) { ?>
											<li>
												<a target="_blank" href="<?php echo $facebook_link['url']; ?>" title="<?php echo $facebook_link['title']; ?>" class="social-media"><span><i class="fab fa-facebook-f"></i></span></a>
											<?php } ?>
											</li>
									</ul>
								</div>
							</div>
							<?php
							$footer_menu = wp_get_nav_menu_items('footer-menu');
							if (!empty($footer_menu)) { ?>
								<div class="col-lg-6">
									<div class="footer-menu">
										<?php
										wp_nav_menu(array(
											'theme_location' => 'footer-menu'
										));
										?>
									</div>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
				<?php
				$site_logo_mobile_device	= get_field('site_logo_mobile_device', 'option');
				$site_logo_mobile_device	= get_field('site_logo_mobile_device', 'option');
				$footer_form_title			= get_field('footer_form_title', 'option');
				$footer_form				= get_field('footer_form', 'option');
				?>
				<div class="col-lg-6 order-lg-2 order-1" id="contact-us">
					<?php
					if (!empty($site_logo_mobile_device)) { ?>
						<div class="footer-mobile-logo for-mob">
							<a href="<?php echo home_url(); ?>" title="<?php echo $site_name; ?>">
								<img width="290" height="126" src="<?php echo $site_logo_mobile_device; ?>" alt="<?php echo $site_name; ?>">
							</a>
						</div>
					<?php
					}
					if (!empty($footer_form)) { ?>
						<div class="contact-form">
							<?php
							if (!empty($footer_form_title)) { ?>
								<h2 class="h2-title"><mark><?php echo $footer_form_title; ?></mark></h2>
							<?php }
							echo do_shortcode('[contact-form-7 id="' . $footer_form->ID . '" title="' . $footer_form->post_title . '"]'); ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div><!-- .site-info -->
	<div class="footer-bottom-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="footer-bottom-text">
						<div class="copy-right">
							<p>&copy; <?php echo date('Y') . " " . $site_name; ?></p>
						</div>
						<?php
						$policy_menu = wp_get_nav_menu_items('policy-menu');
						if (!empty($policy_menu)) { ?>
							<div class="footer-bottom-link">
								<?php
								wp_nav_menu(array(
									'theme_location' => 'policy-menu'
								));
								?>
							</div>
						<?php
						}
						$dotcom_design_by = get_field('dotcom_design_by', 'option');
						if (!empty($dotcom_design_by)) { ?>
							<div class="footer-other-link">
								<?php echo $dotcom_design_by; ?>
							</div>
						<?php } ?>
					</div>
				</div>
			</div>
			<?php
			$seo_menu_title = get_field('seo_menu_title', 'option');
			$seo_menu = wp_get_nav_menu_items('seo-menu');
			if (is_page_template('template-seo.php') || is_author() || is_category() || is_home() || is_single() || is_tag() && !empty($seo_menu_title)) { ?>
				<div class="row">
					<div class="col-lg-12">
						<div class="footer-last">
							<?php
							if (!empty($seo_menu_title)) { ?>
								<span class="view_services_text" id="view_all_services" title="<?php echo $seo_menu_title; ?>"><?php echo $seo_menu_title; ?></span>
							<?php
							}
							if (!empty($seo_menu)) { ?>
								<div class="all-services">
									<?php
									wp_nav_menu(array(
										'theme_location' => 'seo-menu',
									));
									?>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			<?php }	?>
		</div>
	</div>
</footer><!-- #colophon -->

<button type="button" aria-label="Back To Top" id="scrollToTop" class="scrolltop"><i class="fa fa-angle-up" aria-hidden="true"></i></button>
</div><!-- #page -->
<!-- CTA btn -->
<?php
$phone_number =  get_field('phone_number', 'option');
$modal_title  =  get_field('modal_title', 'option');
if (!empty($phone_number) || !empty($modal_title)) { ?>
	<button type="button" aria-label="<?php echo $modal_title; ?>" id="request_a_quote" data-bs-toggle="modal" data-bs-target="#requestaQuote" class="cta-btn sec-btn">
		<?php
		if (!empty($modal_title)) { ?>
			<span><?php echo $modal_title; ?></span>
		<?php
		}
		if (!empty($phone_number)) { ?>
			<span class="call-cta">
				<i class="fas fa-phone-alt" aria-hidden="true"></i>
				<span class="call-us">
					<?php echo $phone_number['title']; ?>
				</span>
			</span>
		<?php } ?>
	</button>
<?php } ?>

<!-- Modal -->
<?php
$modal_title	= get_field('modal_title', 'option');
$modal_form		= get_field('modal_form', 'option');
?>
<div class="modal request-a-quote" id="requestaQuote" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="popup-title">
				<?php
				if (!empty($modal_title)) { ?>
					<h2 class="h2-title"><mark><?php echo $modal_title; ?></mark></h2>
				<?php } ?>
				<button type="button" class="close close-popup" name="Close Popup" data-bs-dismiss="modal"><i class="fas fa-times"></i></button>
			</div>
			<?php
			if (!empty($modal_form)) { ?>
				<div class="common-popup-overflow">
					<div class="common-popup-text" data-simplebar>
						<div class="modal-contact-form">
							<?php echo do_shortcode('[contact-form-7 id="' . $modal_form->ID . '" title="' . $modal_form->post_title . '"]'); ?>
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>


<!-- Modal Start -->
<?php
$modal_title  =  get_field('modal_title', 'option');
$modal_form   =  get_field('modal_form', 'option');
?>
<div class="modal common-popup" id="schedule_an_estimate_Modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="popup-title">
				<?php
				if (!empty($modal_title)) { ?>
					<h2 class="h2-title"><mark><?php echo $modal_title; ?></mark></h2>
				<?php } ?>
				<button type="button" class="close close-popup" aria-label="Close Popup" data-bs-dismiss="modal"><i class="fas fa-times"></i></button>
			</div>
			<?php
			if (!empty($modal_form)) { ?>
				<div class="common-popup-overflow">
					<div class="common-popup-text" data-simplebar>
						<div class="contact-form">
							<?php echo do_shortcode('[contact-form-7 id="' . $modal_form->ID . '" title="' . $modal_form->post_title . '"]'); ?>
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
<!-- Modal End -->



<div class="modal team-popup" id="myProfile">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="popup-title">
				<button type="button" class="close close-popup" aria-label="Close Popup" data-bs-dismiss="modal"><i class="fas fa-times"></i></button>
			</div>
			<div class="common-popup-overflow">
				<div class="common-popup-text">
					<div class="row">
						<div class="col-lg-4">
							<div class="team-modal-content">
								<div class="team-modal-img back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2021/02/Randy-Miller-sm-2.jpg');"></div>
								<div class="member-social-link">
									<ul>
										<li>
											<a href="mailto:timpollard@oratium.com" title="email" class="modal-member-email">timpollard@oratium.com</a>
										</li>
									</ul>
								</div>
							</div>
						</div>
						<div class="col-lg-8">
							<div class="team-modal-content-text">
								<h2 class="h2-title modal-member-name"><span class="title-top-bar"></span>Tim Pollard</h2>
								<h6 class="modal-emp-profession">Chief Executive Officer</h6>
								<div class="team-modal-text" data-simplebar>
									<p>Tim founded Oratium in 2011. As CEO, he leads the ongoing development of Oratium's intellectual property, as well as leading all major client relationships.Over a long career in sales at many companies, including Unilever, Barclays, and the Corporate Executive Board — and now a decade into building Oratium —Tim has developed remarkable insight into the science of designing and delivering extraordinary sales mess aging. The result has been two best - selling books, The Compelling Communicator: Mastering the Art and Science of Exceptional Presentation Design and Mastering the Moment: Perfecting the Skills and Processes of Exceptional Presentation Delivery, which form the intellectual backbone of this course. This messaging model is in active use, and the preferred messaging solution of companies as diverse as Cisco, Disney, IBM, LinkedIn and Salesforce.</p>
									<p>Tim and his wife Ruth are British by birth, but now reside in Montana where they’re recovering from raising their 4 (now) adult children. When he’s not teaching and consulting, Tim can be found on the Bighorn River with his favorite fly fishing rod.</p>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div><!-- end of memberViewModal -->

<?php
$apply_now_form_title	= get_field('apply_now_form_title', 'option');
$apply_now_form			= get_field('apply_now_form', 'option');
?>
<div class="modal applynow-popup" id="applynow_modal" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="popup-title">
				<?php
				if (!empty($apply_now_form_title)) { ?>
					<h2 class="h2-title"><mark><?php echo $apply_now_form_title; ?></mark></h2>
				<?php } ?>
				<button type="button" aria-label="close popup" class="close" data-bs-dismiss="modal"><i class="fas fa-times"></i></button>
			</div>
			<?php
			if (!empty($apply_now_form)) { ?>
				<div class="common-popup-text" data-simplebar>
					<?php
					echo do_shortcode('[contact-form-7 id="' . $apply_now_form->ID . '" title="' . $apply_now_form->post_title . '"]');
					?>
				</div>
			<?php } ?>
		</div>
	</div>
</div>

<?php wp_footer(); ?>

</body>

</html>