<?php
$home_banner_heading = get_field('home_banner_heading');
$home_banner_sub_heading = get_field('home_banner_sub_heading');
$home_banner_image = get_field('home_banner_image');
$modal_title = get_field('modal_title', 'option');
$phone_number = get_field('phone_number', 'option');
if (!empty($home_banner_heading) || !empty($home_banner_sub_heading) || !empty($home_banner_image) || !empty($phone_number)) { ?>
    <section class="main-banner">
        <span class="mask-image for-des" style="-webkit-mask-image: url('<?php echo get_template_directory_uri(); ?>/assets/images/i-shape.png');"></span>
        <?php
        if (!empty($home_banner_image)) { ?>
            <div class="banner-image for-mob">
                <div class="back-img" style="background-image: url('<?php _e($home_banner_image, 'iowa-civil'); ?>');"></div>
            </div>
        <?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-lg-6 wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="banner-content">
                        <?php
                        if (!empty($home_banner_heading)) { ?>
                            <h1 class="h1-title "><?php _e($home_banner_heading, 'iowa-civil'); ?></h1>
                        <?php
                        }
                        if (!empty($home_banner_sub_heading)) { ?>
                            <h4><?php _e($home_banner_sub_heading, 'iowa-civil'); ?></h4>
                        <?php } ?>
                        <div class="banner-btn">
                            <?php
                            if (!empty($modal_title)) { ?>
                                <button data-bs-toggle="modal" data-bs-target="#requestaQuote" aria-label="<?php _e($modal_title, 'iowa-civil'); ?>" class="sec-btn"><span><?php _e($modal_title, 'iowa-civil'); ?></span></button>
                            <?php
                            }
                            if (!empty($phone_number)) { ?>
                                <a href="<?php _e($phone_number['url'], 'iowa-civil'); ?>" title="CALL <?php _e($phone_number['title'], 'iowa-civil'); ?>" class="sec-btn"><span class="for-des">call <span class="call-us"><?php _e($phone_number['title'], 'iowa-civil'); ?></span></span> <span class="for-mob">CALL US NOW</span></a>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 ps-xl-0 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <?php
                    if (!empty($home_banner_image)) { ?>
                        <div class="banner-image for-des">
                            <div class="back-img" style="background-image: url('<?php _e($home_banner_image, 'iowa-civil'); ?>');"></div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </section>
<?php } ?>

<!-- Main Banner Section -->

<?php
$home_about_us_image        = get_field('home_about_us_image');
$home_about_us_title        = get_field('home_about_us_title');
$home_about_us_sub_title    = get_field('home_about_us_sub_title');
$home_about_us_content      = get_field('home_about_us_content');
$home_about_us_link         = get_field('home_about_us_link');
$home_about_us_link_text    = get_field('home_about_us_link_text');
if (!empty($home_about_us_image) || !empty($home_about_us_title) || !empty($home_about_us_sub_title) || !empty($home_about_us_content) || !empty($home_about_us_link) || have_rows('about_us_visions')) { ?>
    <section class="about-us-sec">
        <div class="container">
            <div class="row">
                <?php
                if (!empty($home_about_us_image)) { ?>
                    <div class="col-lg-5 wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                        <div class="about-us-image">
                            <div class="back-img" style="background-image: url('<?php _e($home_about_us_image, 'iowa-civil'); ?>');"></div>
                        </div>
                    </div>
                <?php } ?>
                <div class="col-lg-7 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="about-us-content">
                        <?php
                        if (!empty($home_about_us_title)) { ?>
                            <h2 class="h2-title"> <mark><?php _e($home_about_us_title, 'iowa-civil'); ?></mark></h2>
                        <?php
                        }
                        if (!empty($home_about_us_sub_title)) { ?>
                            <h4 class="h4-title"><?php _e($home_about_us_sub_title, 'iowa-civil'); ?></h4>
                        <?php } ?>
                        <div class="about-text">
                            <?php
                            _e($home_about_us_content, 'iowa-civil');
                            ?>
                        </div>
                        <?php
                        if (!empty($home_about_us_link) && !empty($home_about_us_link_text)) { ?>
                            <a href="<?php _e($home_about_us_link, 'iowa-civil'); ?>" title="<?php echo $home_about_us_link_text . ' - ' . $home_about_us_title; ?>" class="learn-more"><?php _e($home_about_us_link_text, 'iowa-civil'); ?>
                                <span>
                                    <svg width="13.852" height="11.461" viewBox="0 0 13.852 11.461">
                                        <g transform="translate(-2326.5 -4103.77)">
                                            <path d="M0,8.105V0H8.1V1.158H1.158V8.105Z" transform="translate(2340.352 4109.501) rotate(135)" fill="#2e2e2e" />
                                            <line x1="13" transform="translate(2326.5 4109.5)" fill="none" stroke="#2e2e2e" stroke-width="1.2" />
                                        </g>
                                    </svg>
                                </span>
                            </a>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <?php
        if (have_rows('about_us_visions')) : ?>
            <div class="aboutus-accordion">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="about-accordion-content-wp accordion">
                                <?php
                                while (have_rows('about_us_visions')) : the_row();
                                    $vision_title   = get_sub_field('vision_title');
                                    $vision_content = get_sub_field('vision_content');
                                    if (!empty($vision_title) || !empty($vision_content)) { ?>
                                        <div class="about-accordion-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                                            <div class="info-box text-lg-center">
                                                <?php
                                                if (!empty($vision_title)) { ?>
                                                    <h3 class="h3-title"><mark><?php _e($vision_title, 'iowa-civil'); ?></mark></h3>
                                                <?php
                                                }
                                                if (!empty($vision_content)) { ?>
                                                    <div class="faq-content" data-simplebar>
                                                        <?php _e($vision_content, 'iowa-civil'); ?>
                                                    </div>
                                                <?php } ?>
                                            </div>
                                        </div>
                                <?php
                                    }
                                endwhile;
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </section>
<?php } ?>
<!-- About Us Section -->
<?php
$services_back_image = get_field('services_background_image');
if (!empty($services_back_image)) { ?>
    <section id="services" class="our-service-sec back-img" <?php echo (!empty($services_back_image))  ? 'style="background-image: url(' . $services_back_image . ');"' : ''; ?>>
        <?php
        if (have_rows('our_services')) :
            while (have_rows('our_services')) : the_row();
                $our_service_title      = get_sub_field('our_service_title');
                $our_service_content    = get_sub_field('our_service_content');
                $our_services_image     = get_sub_field('our_services_image');
                $our_services_btn_text  = get_sub_field('our_services_button_text');
                $our_services_link      = get_sub_field('our_services_link');

                if (get_row_index() % 2 != 0) {
                    if (!empty($our_service_title) || !empty($our_service_content) || !empty($our_services_image) || !empty($our_services_link)) { ?>
                        <div class="services-row odd">
                            <div class="container">
                                <div class="row">
                                    <div class="col-lg-7 order-lg-1 order-2">
                                        <div class="services-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                            <?php
                                            if (!empty($our_service_title)) { ?>
                                                <h2 class="h2-title"> <mark><?php _e($our_service_title, 'iowa-civil'); ?></mark></h2>
                                            <?php } ?>
                                            <div class="service-text">
                                                <?php _e($our_service_content, 'iowa-civil'); ?>
                                                <ul class="ul-bullets">
                                                    <?php
                                                    if (have_rows('our_service_features')) :
                                                        while (have_rows('our_service_features')) : the_row();
                                                            $feature_title = get_sub_field('feature_title');
                                                            if (!empty($feature_title)) { ?>
                                                                <li><?php _e($feature_title, 'iowa-civil'); ?></li>
                                                    <?php
                                                            }
                                                        endwhile;
                                                    endif;
                                                    ?>
                                                </ul>
                                            </div>
                                            <?php
                                            if (!empty($our_services_link) && !empty($our_services_btn_text)) { ?>
                                                <a href="<?php _e($our_services_link, 'iowa-civil'); ?>" title="<?php echo $our_services_btn_text . ' - ' . $our_service_title;  ?>" class="learn-more">
                                                    <?php _e($our_services_btn_text, 'iowa-civil'); ?>
                                                    <span>
                                                        <svg width="13.852" height="11.461" viewBox="0 0 13.852 11.461">
                                                            <g transform="translate(-2326.5 -4103.77)">
                                                                <path d="M0,8.105V0H8.1V1.158H1.158V8.105Z" transform="translate(2340.352 4109.501) rotate(135)" fill="#2e2e2e" />
                                                                <line x1="13" transform="translate(2326.5 4109.5)" fill="none" stroke="#2e2e2e" stroke-width="1.2" />
                                                            </g>
                                                        </svg>
                                                    </span>
                                                </a>
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <?php
                                    if (!empty($our_services_image)) { ?>
                                        <div class="col-lg-5 order-lg-2 order-1 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                            <div class="services-image">
                                                <div class="back-img" style="background-image: url('<?php echo $our_services_image; ?>');"></div>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    <?php
                    }
                } else {
                    ?>
                    <div class="services-row even">
                        <div class="container">
                            <div class="row">
                                <?php
                                if (!empty($our_services_image)) { ?>
                                    <div class="col-lg-5 wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                        <div class="services-image">
                                            <div class="back-img" style="background-image: url('<?php echo $our_services_image; ?>');"></div>
                                        </div>
                                    </div>
                                <?php } ?>
                                <div class="col-lg-7 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                    <div class="services-content">
                                        <?php
                                        if (!empty($our_service_title)) { ?>
                                            <h2 class="h2-title"> <mark><?php _e($our_service_title, 'iowa-civil'); ?></mark></h2>
                                        <?php } ?>
                                        <div class="service-text">
                                            <?php _e($our_service_content, 'iowa-civil'); ?>
                                            <ul class="ul-bullets">
                                                <?php
                                                if (have_rows('our_service_features')) :
                                                    while (have_rows('our_service_features')) : the_row();
                                                        $feature_title = get_sub_field('feature_title');
                                                        if (!empty($feature_title)) { ?>
                                                            <li><?php _e($feature_title, 'iowa-civil'); ?></li>
                                                <?php
                                                        }
                                                    endwhile;
                                                endif;
                                                ?>
                                            </ul>
                                        </div>
                                        <?php
                                        if (!empty($our_services_btn_text) && !empty($our_services_link)) { ?>
                                            <a href="<?php _e($our_services_link, 'iowa-civil'); ?>" title="<?php echo $our_services_btn_text . ' - ' . $our_service_title;  ?>" class="learn-more">
                                                <?php _e($our_services_btn_text, 'iowa-civil'); ?>
                                                <span>
                                                    <svg width="13.852" height="11.461" viewBox="0 0 13.852 11.461">
                                                        <g transform="translate(-2326.5 -4103.77)">
                                                            <path d="M0,8.105V0H8.1V1.158H1.158V8.105Z" transform="translate(2340.352 4109.501) rotate(135)" fill="#2e2e2e" />
                                                            <line x1="13" transform="translate(2326.5 4109.5)" fill="none" stroke="#2e2e2e" stroke-width="1.2" />
                                                        </g>
                                                    </svg>
                                                </span>
                                            </a>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
        <?php
                }
            endwhile;
        endif;
        ?>
    </section>
<?php } ?>
<!-- Our Services Section -->
<?php
$our_process_title = get_field('our_process_title');
if (have_rows('our_process')) : ?>
    <section class="benefits our-process-sec">
        <div class="container">
            <div class="row">
                <?php
                if (!empty($our_process_title)) { ?>
                    <div class="col-lg-12">
                        <div class="sec-title text-center">
                            <h2 class="h2-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><mark><?php _e($our_process_title, 'iowa-civil'); ?></mark></h2>
                        </div>
                    </div>
                <?php
                } ?>
            </div>
            <div class="row">
                <?php
                while (have_rows('our_process')) : the_row();
                    $process_title      = get_sub_field('process_title');
                    $process_content    = get_sub_field('process_content');
                    if (!empty($process_title) || !empty($process_content)) { ?>
                        <div class="col-lg-3 wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                            <div class="benefits-content">
                                <div class="benefit-number"><span><?php echo get_row_index(); ?></span></div>
                                <h4><?php _e($process_title, 'iowa-civil'); ?></h4>
                                <div class="benefit-text">
                                    <?php
                                    if (!empty($process_title)) { ?>
                                    <?php
                                    }
                                    _e($process_content, 'iowa-civil'); ?>
                                </div>
                            </div>
                        </div>
                <?php
                    }
                endwhile;
                ?>
            </div>
        </div>
    </section>
<?php endif; ?>


<?php get_template_part('template-parts/content', 'testimonials'); ?>

<?php get_template_part('template-parts/content', 'home-gallery'); ?>

<?php
$faq_title = get_field('faq_title');
if (have_rows('question_and_ans')) : ?>
    <section class="faq-sec">
        <div class="container">
            <?php
            if (!empty($faq_title)) { ?>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="sec-title text-center">
                            <h2 class="h2-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><mark><?php _e($faq_title, 'iowa-civil'); ?></mark></h2>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <div class="row">
                <div class="col-lg-12 iowa-faq-accordion">
                    <div class="faq-content-wp">
                        <?php
                        while (have_rows('question_and_ans')) : the_row();
                            $faq_question   = get_sub_field('faq_question');
                            $faq_answer     = get_sub_field('faq_answer');
                            if (!empty($faq_question) || !empty($faq_answer)) { ?>
                                <div class="faq-box wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                                    <?php
                                    if (!empty($faq_question)) { ?>
                                        <div class="faq-title">
                                            <h3>
                                                <mark><?php _e($faq_question, 'iowa-civil'); ?></mark>
                                            </h3>
                                            <span class="faq-icon">
                                                <svg width="14.025" height="7.004" viewBox="0 0 14.025 7.004">
                                                    <path d="M12,16a1,1,0,0,1-.64-.23l-6-5A1,1,0,0,1,6.64,9.23L12,13.71l5.36-4.32A1.025,1.025,0,1,1,18.63,11l-6,4.83A1,1,0,0,1,12,16Z" transform="translate(-4.999 -8.999)" fill="var(--primary-color)"></path>
                                                </svg>
                                            </span>
                                        </div>
                                    <?php
                                    }
                                    if (!empty($faq_answer)) { ?>
                                        <div class="faq-content">
                                            <div class="faq-text">
                                                <?php _e($faq_answer, 'iowa-civil'); ?>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                        <?php
                            }
                        endwhile; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>

<?php get_template_part('template-parts/content', 'sponsors'); ?>
<!-- Logo Section -->