<section class="main-banner inner-banner">
    <span class="mask-image" style="-webkit-mask-image: url('<?php echo get_template_directory_uri(); ?>/assets/images/i-shape.png');"></span>
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="banner-content">
                    <h1 class="h1-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php the_title(); ?></h1>
                </div>
            </div>
        </div>
    </div>
</section><!-- Main Banner Section -->

<?php
$about_title        = get_field('about_title');
$about_button_text  = get_field('about_button_text');
$about_image        = get_field('about_image');
$about_content      = get_field('about_content');
if (!empty($about_title) || !empty($about_content) || !empty($about_image) || !empty($about_button_text)) { ?>
    <section class="join-our-team">
        <div class="container">
            <div class="row">
                <div class="col-lg-5 order-2 order-lg-1 wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="who-we-are-content">
                        <?php
                        if (!empty($about_title)) { ?>
                            <h2 class="h2-title"> <mark><?php _e($about_title, 'iowa-civil'); ?></mark></h2>
                        <?php } ?>
                        <div class="who-we-are-text ">
                            <?php
                            _e($about_content, 'iowa-civil');
                            if (have_rows('point')) { ?>
                                <div class="text-strong">
                                    <?php
                                    while (have_rows('point')) {
                                        the_row();
                                        $point_title = get_sub_field('point_title');
                                    ?>
                                        <p><?php _e($point_title, 'iowa-civil'); ?></p>
                                    <?php
                                    }
                                    ?>
                                </div>
                            <?php } ?>
                        </div>
                        <?php
                        if (!empty($about_button_text)) { ?>
                            <button type="button" data-bs-toggle="modal" data-bs-target="#applynow_modal" class="sec-btn" aria-label="<?php _e($about_button_text, 'iowa-civil'); ?>"><span><?php _e($about_button_text, 'iowa-civil'); ?></span></button>
                        <?php } ?>
                    </div>
                </div>
                <div class="col-lg-7 order-1 order-lg-2 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <?php
                    if (!empty($about_image)) { ?>
                        <div class="who-we-are-img">
                            <div class="back-img" style="background-image: url('<?php _e($about_image, 'iowa-civil'); ?>');"></div>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </section>
<?php } ?>
<!-- Join Our Team Section -->
<?php
$career_title         = get_field('career_title');
$career_content       = get_field('career_content');
$career_image         = get_field('career_image');
$employee_title       = get_field('employee_title');
$employee_content     = get_field('employee_content');
$employee_button_text = get_field('employee_button_text');
?>
<section class="join-team our-service-sec" <?php echo (!empty($career_image)) ? 'style="background-image: url(' . ($career_image) . ');"' : ''; ?>>
    <div class="container big-container">
        <div class="row">
            <div class="col-lg-4 wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                <div class="career-path">
                    <?php
                    if (!empty($career_title)) { ?>
                        <h2 class="h2-title"><mark><?php _e($career_title, 'iowa-civil'); ?></mark></h2>
                    <?php
                    }
                    _e($career_content, 'iowa-civil');

                    if (have_rows('career_path')) { ?>
                        <div class="career-graph">
                            <?php
                            while (have_rows('career_path')) {
                                the_row();
                                $path_title = get_sub_field('path_title');
                                $second_index = (get_row_index() == 2) ? 'green' : '';
                                $third_index = (get_row_index() == 3) ? 'blue' : '';
                            ?>
                                <div class="career-path-box <?php echo  $second_index . $third_index; ?>">
                                    <div class="path-title"><span><?php echo $path_title; ?></span></div>
                                    <?php
                                    if (have_rows('path_info')) {
                                        while (have_rows('path_info')) {
                                            the_row();
                                            $info_title = get_sub_field('info_title'); ?>
                                            <div class="careers-info">
                                                <p><?php echo $info_title; ?></p>
                                            </div>
                                    <?php
                                        }
                                    }
                                    ?>
                                </div>
                            <?php } ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <div class="col-lg-8 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                <div class="compensation">
                    <div class="compensation-title">
                        <h2 class="h2-title"><mark><?php _e($employee_title, 'iowa-civil'); ?></mark></h2>
                        <?php _e($employee_content, 'iowa-civil'); ?>
                    </div>
                    <?php
                    if (have_rows('employee_table')) { ?>
                        <div class="compensation-table">
                            <div class="row">
                                <?php
                                while (have_rows('employee_table')) {
                                    the_row();
                                    $work_heading = get_sub_field('work_heading'); ?>
                                    <div class="col-lg-4 p-lg-0">
                                        <h4 class="tabel-title"><?php _e($work_heading, 'iowa-civil'); ?></h4>
                                        <?php
                                        if (have_rows('work_list')) { ?>
                                            <ul class="compensation-list">
                                                <?php
                                                while (have_rows('work_list')) {
                                                    the_row();
                                                    $work_title = get_sub_field('work_title'); ?>
                                                    <li><?php _e($work_title, 'iowa-civil'); ?></li>
                                                <?php } ?>
                                            </ul>
                                        <?php } ?>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    <?php
                    }
                    if (!empty($employee_button_text)) { ?>
                        <button type="button" data-bs-toggle="modal" data-bs-target="#applynow_modal" class="sec-btn" aria-label="<?php _e($employee_button_text, 'iowa-civil'); ?>"><span><?php _e($employee_button_text, 'iowa-civil'); ?></span></button>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</section> <!-- Career Path Section -->
<?php
$benifits_title = get_field('benifits_title');
if (have_rows('benifits') || !empty($benifits_title)) { ?>
    <section class="benefits">
        <div class="container">
            <div class="row">
                <?php
                if (!empty($benifits_title)) { ?>
                    <div class="col-lg-12">
                        <div class="sec-title text-center">
                            <h2 class="h2-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><mark><?php _e($benifits_title, 'iowa-civil'); ?></mark></h2>
                        </div>
                    </div>
                <?php
                } ?>
            </div>
            <div class="row">
                <?php
                while (have_rows('benifits')) {
                    the_row();
                    $benifits_content = get_sub_field('benifits_content'); ?>
                    <div class="col-lg-3 wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                        <div class="benefits-content">
                            <div class="benefit-number"><span><?php echo get_row_index(); ?></span></div>
                            <div class="benefit-text">
                                <p><?php _e($benifits_content, 'iowa-civil'); ?></p>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </section>
<?php } ?>
<!-- Benefits Section -->