<section class="main-banner inner-banner">
    <span class="mask-image" style="-webkit-mask-image: url('<?php echo get_template_directory_uri(); ?>/assets/images/i-shape.png');"></span>
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="banner-content">
                    <h1 class="h1-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php the_title(); ?></h1>
                </div>
            </div>
        </div>
    </div>
</section><!-- Main Banner Section -->

<section class="our-team-sec">
    <div class="container">
        <div class="our-team-row">
            <div class="row">
                <?php
                if (have_rows('our_team')) {
                    while (have_rows('our_team')) {
                        the_row();
                        $team_image         = get_sub_field('team_image');
                        $team_name          = get_sub_field('team_name');
                        $team_profession    = get_sub_field('team_profession');
                        $team_description   = get_sub_field('team_description');
                        $team_email         = get_sub_field('team_email');
                ?>
                        <div class="col-lg-4 col-sm-6 team-box wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                            <div class="team-content">
                                <div class="team-profile back-img" <?php echo (!empty($team_image)) ? 'style="background-image: url(' . $team_image . ');"' : ''; ?>></div>
                                <div class="team-details">
                                    <div class="profile-title">
                                        <?php
                                        if (!empty($team_name)) { ?>
                                            <h4 class="person-name"><?php _e($team_name, 'iowa-civil'); ?></h4>
                                        <?php
                                        }
                                        if (!empty($team_profession)) { ?>
                                            <span class="designation"><?php _e($team_profession, 'iowa-civil'); ?></span>
                                        <?php } ?>
                                    </div>
                                    <div class="team-info-box d-none">
                                        <div class="team-info">
                                            <?php
                                            if (!empty($team_description)) { ?>
                                                <div class="overflow-text">
                                                    <?php _e($team_description, 'iowa-civil'); ?>
                                                </div>
                                            <?php
                                            }
                                            if (!empty($team_email)) { ?>
                                                <a class="team-mail" href="mailto:<?php _e($team_email, 'iowa-civil'); ?>" title="<?php _e($team_email, 'iowa-civil'); ?>"><span><i class="fas fa-envelope"></i></span><?php _e($team_email, 'iowa-civil'); ?></a>
                                            <?php
                                            } ?>
                                        </div>
                                        <a title="Profile Detaile" href="javascript:void(0);" class="profile-details">
                                            <span>
                                                <svg width="13.852" height="11.461" viewBox="0 0 13.852 11.461">
                                                    <g transform="translate(-2326.5 -4103.77)">
                                                        <path d="M0,8.105V0H8.1V1.158H1.158V8.105Z" transform="translate(2340.352 4109.501) rotate(135)" fill="#2e2e2e" />
                                                        <line x1="13" transform="translate(2326.5 4109.5)" fill="none" stroke="#2e2e2e" stroke-width="1.2" />
                                                    </g>
                                                </svg>
                                            </span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="popup-content" style="display: none;">
                                <div class="overflow-content-text" data-simplebar>
                                    <?php _e($team_description, 'iowa-civil'); ?>
                                </div>
                            </div>
                        </div>
                        <?php
                    }
                }
                ?>
            </div>
        </div>

        <?php
        $work_title         = get_field('work_title');
        $work_button_text   = get_field('work_button_text');
        $work_button_link   = get_field('work_button_link');
        $work_content       = get_field('work_content');
        if (!empty($work_title) || !empty($work_content) || !empty($work_button_link)) { ?>
            <div class="work-with-info">
                <div class="row">
                    <div class="col-lg-12 wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                        <div class="info-box team">
                            <?php
                            if (!empty($work_title)) { ?>
                                <h3 class="h3-title"><mark><?php _e($work_title, 'iowa-civil'); ?></mark></h3>
                            <?php
                            } ?>
                            <div class="work-with-info-text">
                                <?php
                                _e($work_content, 'iowa-civil');
                                if (have_rows('our_work_content')) { ?>
                                    <div class="text-strong">
                                        <?php
                                        while (have_rows('our_work_content')) {
                                            the_row();
                                            $sub_content = get_sub_field('sub_content');
                                            if (!empty($sub_content)) { ?>
                                                <p><?php _e($sub_content, 'iowa-civil'); ?></p>
                                        <?php
                                            }
                                        } ?>
                                    </div>
                                <?php } ?>
                            </div>
                            <?php
                            if (!empty($work_button_link) || !empty($work_button_text)) { ?>
                                <a href="<?php echo _e($work_button_link, 'iowa-civil'); ?>" class="sec-btn" title="<?php echo $work_button_text . ' - ' . $work_title; ?>"><span><?php echo _e($work_button_text, 'iowa-civil'); ?></span></a>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
</section>

<?php get_template_part('template-parts/content', 'home-gallery'); ?>