<?php
$modal_title = get_field('modal_title', 'option');
$phone_number = get_field('phone_number', 'option');
?>
<section class="main-banner seo-banner">
    <span class="mask-image" style="-webkit-mask-image: url('<?php echo get_template_directory_uri(); ?>/assets/images/i-shape.png');"></span>
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="banner-content">
                    <h2 class="h1-title">OUR WORK TAKES YOU PLACES</h2>
                    <h4>Total Pavement and Bridge Restoration</h4>
                    <div class="banner-btn">
                        <?php
                        if (!empty($modal_title)) { ?>
                            <button data-bs-toggle="modal" data-bs-target="#requestaQuote" title="<?php _e($modal_title, 'iowa-civil'); ?>" class="sec-btn"><span><?php _e($modal_title, 'iowa-civil'); ?></span></button>
                        <?php
                        }
                        if (!empty($phone_number)) { ?>
                            <a href="<?php _e($phone_number['url'], 'iowa-civil'); ?>" title="CALL <?php _e($phone_number['title'], 'iowa-civil'); ?>" class="sec-btn"><span class="for-des">call <span class="call-us"><?php _e($phone_number['title'], 'iowa-civil'); ?></span></span> <span class="for-mob">CALL US NOW</span></a>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="seo-form">
                    <h2 class="h2-title">contact us</h2>
                    <?php echo do_shortcode('[contact-form-7 id="60" title="Contact form"]'); ?>
                </div>
            </div>
        </div>
    </div>
</section><!-- Main Banner Section -->

<section class="about-us-sec">
    <div class="container">
        <div class="row">
            <div class="col-lg-5">
                <div class="about-us-image">
                    <div class="back-img" style="background-image: url('<?php the_field('about_us_image', 5); ?>');"></div>
                </div>
            </div>
            <div class="col-lg-7">
                <div class="about-us-content">
                    <h2 class="h2-title"> <mark><?php the_field('about_us_title', 5); ?></mark></h2>
                    <p><?php the_field('about_us_sub_title', 5); ?></p>
                    <div class="about-text">
                        <?php the_field('about_us_content', 5); ?>
                        <a href="<?php echo home_url() . '/' . the_field('about_us_link', 5) . '/'; ?>" title="LEARN MORE ABOUT US" class="learn-more">LEARN MORE
                            <span>
                                <svg xmlns="http://www.w3.org/2000/svg" width="13.852" height="11.461" viewBox="0 0 13.852 11.461">
                                    <g transform="translate(-2326.5 -4103.77)">
                                        <path d="M0,8.105V0H8.1V1.158H1.158V8.105Z" transform="translate(2340.352 4109.501) rotate(135)" fill="#2e2e2e" />
                                        <line data-name="Line 3" x1="13" transform="translate(2326.5 4109.5)" fill="none" stroke="#2e2e2e" stroke-width="1.2" />
                                    </g>
                                </svg>
                            </span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="aboutus-box">
        <div class="container">
            <div class="row accordion">
                <?php
                if (have_rows('about_us_visions')) :
                    while (have_rows('about_us_visions')) : the_row();
                ?>
                        <div class="col-lg-4">
                            <div class="info-box wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                <h3 class="info-title"><mark><?php the_sub_field('vision_title'); ?></mark></h3>
                                <div class="overflow-text faq-content" data-simplebar="init">
                                    <?php the_sub_field('vision_content'); ?>
                                </div>
                            </div>
                        </div>
                <?php
                    endwhile;
                endif;
                ?>
            </div>
        </div>
    </div>
</section><!-- About Us Section -->

<section class="main-seo-content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <h1 class="sec-head h2-title"><?php the_title(); ?></h1>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="excerpt-content">
                    <?php the_content(); ?>
                </div>
                <div class="submit-btn">
                    <button type="button" title="Read more" id="read-more" class="sec-btn sm-btn bg-btn">
                        <span>Read more</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</section>