<?php
$frontpage_id       = get_option('page_on_front');
$testimonial_title      = get_field('testimonial_title', $frontpage_id);
$testimonial_content    = get_field('testimonial_content', $frontpage_id);
$args = array(
    'post_type' => 'testimonials',
    'post_status' => 'publish',
    'posts_per_page' => -1
);
$posts = new WP_Query($args);
if ($posts->have_posts()) { ?>
    <section class="testimonial-sec">
        <div class="container">
            <div class="row">
                <div class="col-lg-5 wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="testimonial-title">
                        <?php
                        if (!empty($testimonial_title)) { ?>
                            <h2 class="h2-title"> <mark><?php _e($testimonial_title, 'iowa-civil'); ?></mark></h2>
                        <?php
                        }
                        _e($testimonial_content, 'iowa-civil'); ?>
                    </div>
                </div>
                <div class="col-lg-7 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="testimonial-slider">
                        <?php
                        while ($posts->have_posts()) {
                            $posts->the_post();
                            $testimonials_profession = get_field('testimonials_profession');
                        ?>
                            <div class="testimonial-content">
                                <div class="testimonial-text" data-simplebar>
                                    <?php the_content(); ?>
                                </div>
                                <div class="tesimonial-author-name">
                                    <h4><?php the_title(); ?></h4>
                                    <?php
                                    if (!empty($testimonials_profession)) { ?>
                                        <span><?php _e($testimonials_profession, 'iowa-civil'); ?></span>
                                    <?php } ?>
                                </div>
                            </div>
                        <?php
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php }
wp_reset_query(); ?>
<!-- Testimonials Section -->