<?php

/**
 * The template for displaying the sitemap page
 * Template Name: Sitemap
 *
 * @link https://codex.wordpress.org/Template_Hierarchy 
 *
 */
get_header();
$cur_page_id = get_the_ID();
?>
<section class="main-banner inner-banner">
    <span class="mask-image" style="-webkit-mask-image: url('<?php echo get_template_directory_uri(); ?>/assets/images/i-shape.png');"></span>
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="banner-content">
                    <h1 class="h1-title"><?php the_title(); ?></h1>
                </div>
            </div>
        </div>
    </div>
</section><!-- emd of main-banner -->

<div class="inner-page-text privacy-content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php
                        $postsArgs = array(
                            'post_type' => 'page',
                            'posts_per_page' => '-1',
                            'post_status' => 'publish'
                        );
                        $postsLoop = new WP_Query($postsArgs);
                        if ($postsLoop->have_posts()) { ?>
                            <h2 id="sitemap-posts">Pages</h2>
                            <ul>
                                <?php
                                while ($postsLoop->have_posts()) {
                                    $postsLoop->the_post();
                                    $current_page_url = get_permalink($cur_page_id);
                                    if (get_permalink() != $current_page_url) { ?>
                                        <li <?php post_class(); ?>><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
                                    <?php }
                                    wp_reset_query(); ?>
                                <?php
                                } ?>
                            </ul>
                        <?php } ?>

                        <?php
                        $postsArgs = array(
                            'post_type' => 'post',
                            'posts_per_page' => '-1',
                            'post_status' => 'publish'
                        );
                        $postsLoop = new WP_Query($postsArgs);
                        if ($postsLoop->have_posts()) { ?>
                            <h2 id="sitemap-posts">Posts</h2>
                            <ul>
                                <?php
                                while ($postsLoop->have_posts()) {
                                    $postsLoop->the_post();
                                ?>
                                    <li <?php post_class(); ?>><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
                                <?php }
                                wp_reset_query(); ?>
                            </ul>
                        <?php } ?>

                        <?php
                        if ($postsLoop->have_posts()) { ?>
                            <h2 id="sitemap-posts-categories">Post Categories</h2>
                            <ul>
                                <?php wp_list_categories(array(
                                    'title_li' => '',
                                    'show_count' => false
                                )); ?>
                            </ul>
                        <?php } ?>

                        <?php
                        $tags = get_tags(array(
                            // 'exclude' => '',
                        ));
                        if ($tags) { ?>
                            <h2 id="sitemap-posts-tags">Post Tags</h2>
                            <ul>
                                <?php foreach ($tags as $tag) { ?>
                                    <li class="tag-id-<?php echo $tag->term_id ?>"><a href="<?php echo get_tag_link($tag->term_id); ?>"><?php echo $tag->name ?></a></li>
                                <?php } ?>
                            </ul>
                        <? } ?>
                    </main><!-- #main -->
                </div><!-- #primary -->
            </div>
        </div>
    </div>
</div>
<?php
get_footer();
